gtkmm: Gtk::SelectionFilterModel Class Reference

gtkmm 4.14.0

Public Member Functions | Static Public Member Functions | Protected Member Functions | Related Symbols | List of all members
Gtk::SelectionFilterModel Class Reference
ListView Classes

A list model that turns a selection in a model. More...

`#include <gtkmm/selectionfiltermodel.h>`

Inheritance diagram for Gtk::SelectionFilterModel:
[legend]

## Public Member Functions
| SelectionFilterModel (SelectionFilterModel &&src) noexcept
SelectionFilterModel & | operator= (SelectionFilterModel &&src) noexcept
| ~SelectionFilterModel () noexcept override
GtkSelectionFilterModel * | gobj ()
| Provides access to the underlying C GObject.
const GtkSelectionFilterModel * | gobj () const
| Provides access to the underlying C GObject.
GtkSelectionFilterModel * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
void | set_model (const Glib::RefPtr< SelectionModel > &model)
| Sets the model to be filtered.
Glib::RefPtr< SelectionModel > | get_model ()
| Gets the model currently filtered or `nullptr` if none.
Glib::RefPtr< const SelectionModel > | get_model () const
| Gets the model currently filtered or `nullptr` if none.
Glib::PropertyProxy_ReadOnly< GType > | property_item_type () const
| The type of items.
Glib::PropertyProxy< Glib::RefPtr< SelectionModel > > | property_model ()
| The model being filtered.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< SelectionModel > > | property_model () const
| The model being filtered.
Glib::PropertyProxy_ReadOnly< unsigned int > | property_n_items () const
| The number of items.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< SelectionFilterModel > | create (const Glib::RefPtr< SelectionModel > &model)

## Protected Member Functions
| SelectionFilterModel (const Glib::RefPtr< SelectionModel > &model)

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gtk::SelectionFilterModel > | wrap (GtkSelectionFilterModel *object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

A list model that turns a selection in a model.

Gtk::SelectionFilterModel is a list model that presents the selected items in a Gtk::SelectionModel as its own list model.

See also
  Gtk::SelectionModel

Since gtkmm 3.98

## Constructor & Destructor Documentation

## ◆ SelectionFilterModel() [1/2]

Gtk::SelectionFilterModel::SelectionFilterModel | ( | SelectionFilterModel && | src | ) |
| noexcept

## ◆ ~SelectionFilterModel()

Gtk::SelectionFilterModel::~SelectionFilterModel | ( |  | ) |
| overridenoexcept

## ◆ SelectionFilterModel() [2/2]

Gtk::SelectionFilterModel::SelectionFilterModel | ( | const Glib::RefPtr< SelectionModel > & | model | ) |
| explicitprotected

## Member Function Documentation

## ◆ create()

static Glib::RefPtr< SelectionFilterModel > Gtk::SelectionFilterModel::create | ( | const Glib::RefPtr< SelectionModel > & | model | ) |
| static

## ◆ get_model() [1/2]

Glib::RefPtr< SelectionModel > Gtk::SelectionFilterModel::get_model | ( |  | ) |

Gets the model currently filtered or `nullptr` if none.

Returns
  The model that gets filtered.

## ◆ get_model() [2/2]

Glib::RefPtr< const SelectionModel > Gtk::SelectionFilterModel::get_model | ( |  | ) | const

Gets the model currently filtered or `nullptr` if none.

Returns
  The model that gets filtered.

## ◆ get_type()

static GType Gtk::SelectionFilterModel::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkSelectionFilterModel * Gtk::SelectionFilterModel::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GtkSelectionFilterModel * Gtk::SelectionFilterModel::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GtkSelectionFilterModel * Gtk::SelectionFilterModel::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ operator=()

SelectionFilterModel & Gtk::SelectionFilterModel::operator= | ( | SelectionFilterModel && | src | ) |
| noexcept

## ◆ property_item_type()

Glib::PropertyProxy_ReadOnly< GType > Gtk::SelectionFilterModel::property_item_type | ( |  | ) | const

The type of items.

See Gio::ListModel::get_item_type().

Since gtkmm 4.8

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [1/2]

Glib::PropertyProxy< Glib::RefPtr< SelectionModel > > Gtk::SelectionFilterModel::property_model | ( |  | ) |

The model being filtered.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_model() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< SelectionModel > > Gtk::SelectionFilterModel::property_model | ( |  | ) | const

The model being filtered.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ property_n_items()

Glib::PropertyProxy_ReadOnly< unsigned int > Gtk::SelectionFilterModel::property_n_items | ( |  | ) | const

The number of items.

See Gio::ListModel::get_n_items().

Since gtkmm 4.8

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_model()

void Gtk::SelectionFilterModel::set_model | ( | const Glib::RefPtr< SelectionModel > & | model | ) |

Sets the model to be filtered.

Note that GTK makes no effort to ensure that model conforms to the item type of self. It assumes that the caller knows what they are doing and have set up an appropriate filter to ensure that item types match.

Parameters

  model | The model to be filtered.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gtk::SelectionFilterModel > wrap | ( | GtkSelectionFilterModel * | object,
|  | bool | take_copy = false )
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.